Add details on dhcp_agents_per_network option for DHCP agent HA

Bug #1370934 reported by Javier Peña on 2014-09-18
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
neutron
Medium
Li Ma

Bug Description

The current documentation does not specify any information about the "dhcp_agents_per_network" configuration option in /etc/neutron/neutron.conf. Using this option, it is possible to have the scheduler automatically assign multiple DHCP agents to a tenant network, which provides high availability.

If that option is not set, you have to manually assign multiple DHCP agents to each network, which does not scale in terms of management.

Would it be possible to document this option here?

-----------------------------------
Built: 2014-04-17T10:27:55 00:00
git SHA: 1842612f99f1fe87149db9a3cb0bd43e7892e22b
URL: http://docs.openstack.org/trunk/config-reference/content/multi_agent_demo_configuration.html
source File: file:/home/jenkins/workspace/openstack-manuals-tox-doc-publishdocs/doc/config-reference/networking/section_networking-multi-dhcp-agents.xml
xml:id: multi_agent_demo_configuration

Tom Fifield (fifieldt) wrote :

This option is currently listed in:

http://docs.openstack.org/trunk/config-reference/content/section_networking-options-reference.html

however, the help text isn't very good:

dhcp_agents_per_network = 1 (IntOpt) Number of DHCP agents scheduled to host a network.

To fix this bug, I think we need two patches
1. a patch to neutron to fix the help text to better explain why/when you would alter this option
2. ensure the new networking guide provides detailed information in the agent configuration area

Changed in openstack-manuals:
status: New → Confirmed
status: Confirmed → Triaged
importance: Undecided → Low
milestone: none → juno
tags: added: neutron
Changed in neutron:
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Andrey Epifanov (aepifanov)
Loic Dachary (dachary) on 2014-10-29
Changed in openstack-manuals:
assignee: nobody → Loic Dachary (dachary)
Loic Dachary (dachary) on 2014-11-02
Changed in openstack-manuals:
assignee: Loic Dachary (dachary) → nobody
Tom Fifield (fifieldt) wrote :

Andrey, are you still working on this?

Tom Fifield (fifieldt) on 2015-02-27
no longer affects: openstack-manuals
Changed in neutron:
assignee: Andrey Epifanov (aepifanov) → nobody
Li Ma (nick-ma-z) on 2015-04-13
Changed in neutron:
assignee: nobody → Li Ma (nick-ma-z)

Fix proposed to branch: master
Review: https://review.openstack.org/172806

Changed in neutron:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/172806
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=8be4e4d5fc052655f7a968fc5016c84aca48758e
Submitter: Jenkins
Branch: master

commit 8be4e4d5fc052655f7a968fc5016c84aca48758e
Author: Li Ma <email address hidden>
Date: Sun Apr 12 22:29:56 2015 -0700

    Provide details for configure multiple DHCP agents

    The help text is not that good for operation. This fix adds more
    information about the option 'dhcp_agents_per_network'.

    Change-Id: I955c1e9989a9c65b0ffdbbdca9113c795ec72fe6
    Closes-Bug: #1370934

Changed in neutron:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-06-24
Changed in neutron:
milestone: none → liberty-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-10-15
Changed in neutron:
milestone: liberty-1 → 7.0.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers